Page tree
Skip to end of metadata
Go to start of metadata

 

For cPanel & WHM version 11.50

Overview

Perl must exist on your server before the installation script for cPanel & WHM can run successfully. If Perl does not exist during installation, the cPanel & WHM installer attempts to install Perl via the yum -y install perl command. If this installation does not succeed, the system displays the following error message:

Fatal! Perl must be installed before proceeding!

Perl versions

For more information about Perl on your server, and which versions of Perl ship with specific operating systems, read our Guide to Perl in cPanel & WHM documentation. cPanel & WHM servers use multiple Perl environments.

Note:

We strongly recommend that you allow your operating system's distribution to control the system Perl installation. Do not customize this Perl installation. 

Manual installation

If you receive errors when the cPanel & WHM installer attempts to install Perl, make certain that yum functions correctly on your server.

To attempt to install Perl again, run the following command:

yum install perl
  • No labels